<?php

namespace app\controller\api;

use app\extra\basic\Base;
use app\middleware\WxMiddleware;
use LinFly\Annotation\Route\Controller;
use LinFly\Annotation\Route\Middleware;
use LinFly\Annotation\Route\Route;
use support\Request;
use support\Response;


#[Controller(prefix: "/wx_api/portal"),Middleware(WxMiddleware::class)]
class Portal extends Base
{


    /**
     * 小程序首页信息
     * @param Request $request
     * @return Response
     */
    #[Route(path: "mini",methods: "get")]
    public function getPortal(Request $request): Response
    {
        try {

        } catch (\Throwable $throwable) {
            return error($throwable->getMessage());
        }
    }

}